//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI.WebControls;

using CommunityServer.Blogs.Components;
using CommunityServer.Controls;

namespace CommunityServer.Blogs.Controls
{
    /// <summary>
    /// Summary description for BlogTitleHeader.
    /// </summary>
    public class BlogTitleHeader  : WeblogThemedControl
    {
        public BlogTitleHeader()
        {
		
        }

        

        protected override void AttachChildControls()
        {
            HyperLink T = FindControl( "BlogTitle" ) as HyperLink;
            if(T != null)
            {
                T.Text = CurrentWeblog.Name;
                T.NavigateUrl = BlogUrls.Instance().HomePage(CurrentWeblog.ApplicationKey);
            }

            IText it = FindText( "blogSubTitle" );
            if(it != null)
                it.Text = CurrentWeblog.Description;
        }

    }
}
